## org.apache.poi.ss.util.cellwalk
Class CellWalk

    java.lang.Object
      org.apache.poi.ss.util.cellwalk.CellWalk

    public class CellWalk

extends java.lang.Object

Traverse cell range.

Author:
  Roman Kashitsyn

Constructor Summary
`CellWalk(Sheet sheet, CellRangeAddress range)`

Method Summary
`boolean` `isTraverseEmptyCells()` Should we call handler on empty (blank) cells.
`void` `setTraverseEmptyCells(boolean traverseEmptyCells)` Sets the traverseEmptyCells property.
`void` `traverse(CellHandler handler)` Traverse cell range from top left to bottom right cell.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellWalk

    public CellWalk(Sheet sheet,
                    CellRangeAddress range)

Method Detail

### isTraverseEmptyCells

    public boolean isTraverseEmptyCells()

  Should we call handler on empty (blank) cells. Default is false.

  Returns:
    true if handler should be called on empty (blank) cells, false otherwise.

### setTraverseEmptyCells

    public void setTraverseEmptyCells(boolean traverseEmptyCells)

  Sets the traverseEmptyCells property.

  Parameters:
    `traverseEmptyCells` - new property value

### traverse

    public void traverse(CellHandler handler)

  Traverse cell range from top left to bottom right cell.

  Parameters:
    `handler` - handler to call on each appropriate cell

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.